ServerSignature (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.ServerSignature class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class ServerSignature

    java.lang.Object
      org.hyperic.hq.autoinventory.ServerSignature

All Implemented Interfaces:
  java.io.Serializable

    public class ServerSignature

extends java.lang.Object
implements java.io.Serializable

The server signature described HOW to detect whether a server exists on a platform, without providing any details about how to discover anything about it beyond the fact that it exists. Useful when the agent is trying to discover what it has installed on its platform to decide which plugins it will need to pull from the server. Before the agent has any plugins it can use this class to determine which ones it will need.

See Also:
  Serialized Form

Constructor Summary
`ServerSignature()`
`ServerSignature(java.lang.String name, java.util.List match, java.util.List exclude, java.util.List regMatch)`
`ServerSignature(java.lang.String name, java.lang.String[] match, java.lang.String[] exclude, java.lang.String[] regMatch)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String[]` | `getFileExcludePatterns()`
`java.lang.String[]` | `getFileMatchPatterns()`
`java.lang.String[]` | `getRegistryMatchPatterns()`
`java.lang.String` | `getServerTypeName()`
`void` | `setFileExcludePatterns(java.lang.String[] pats)`
`void` | `setFileMatchPatterns(java.lang.String[] pats)`
`void` | `setRegistryMatchPatterns(java.lang.String[] pats)`
`void` | `setServerTypeName(java.lang.String stName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerSignature

    public ServerSignature()

### ServerSignature

    public ServerSignature(java.lang.String name,
                           java.lang.String[] match,
                           java.lang.String[] exclude,
                           java.lang.String[] regMatch)

### ServerSignature

    public ServerSignature(java.lang.String name,
                           java.util.List match,
                           java.util.List exclude,
                           java.util.List regMatch)

Method Detail

### getServerTypeName

    public java.lang.String getServerTypeName()

### setServerTypeName

    public void setServerTypeName(java.lang.String stName)

### getFileMatchPatterns

    public java.lang.String[] getFileMatchPatterns()

### setFileMatchPatterns

    public void setFileMatchPatterns(java.lang.String[] pats)

### getFileExcludePatterns

    public java.lang.String[] getFileExcludePatterns()

### setFileExcludePatterns

    public void setFileExcludePatterns(java.lang.String[] pats)

### getRegistryMatchPatterns

    public java.lang.String[] getRegistryMatchPatterns()

### setRegistryMatchPatterns

    public void setRegistryMatchPatterns(java.lang.String[] pats)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.